Debian Bug report logs - #501427
make -C prepare resets utsrelease.h if it contains a custom version string

version graph

Package: lustre-source; Maintainer for lustre-source is Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>;

Reported by: Patrick Winnertz <patrick.winnertz@skolelinux.org>

Date: Tue, 7 Oct 2008 09:09:02 UTC

Severity: grave

Fixed in version lustre/1.6.5.1-4

Done: Patrick Winnertz <winnie@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-lustre-maintainers@lists.alioth.debian.org, Eduard Bloch <blade@debian.org>:
Bug#501427; Package module-assistant. (Tue, 07 Oct 2008 09:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <patrick.winnertz@skolelinux.org>:
New Bug report received and forwarded. Copy sent to pkg-lustre-maintainers@lists.alioth.debian.org, Eduard Bloch <blade@debian.org>. (Tue, 07 Oct 2008 09:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <patrick.winnertz@skolelinux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: m-a changes the utsstring in include/linux/utsrelease.h if kernel is build with --append-to-version
Date: Tue, 07 Oct 2008 11:05:50 +0200
Package: module-assistant
Version: 0.10.8
Severity: critical

If you build a custom kernel with m-a maybe with this command:
 make-kpkg --initrd --append-to-version "-lustre-1.6.5.1"
the file include/linux/utsrelease.h contains this definition:
#define UTS_RELEASE "2.6.22-lustre-1.6.5.1"  /*(for a 2.6.22er kernel)*/

After building one module with m-a against this kernel with this options:
 m-a -l 2.6.22-lustre-1.6.5.1 -t  build lustre

this string is resetted to the default "2.6.22".
If you now want to build another module it fails with "no kernel sources available"

Manually resetting this string back to the correct value fixes this problem.

As this prevents to build another module to a self build kernel this is a major issue in my eyes, this is the reason I chose a RC critical severity for this bug.

i've not tested if thie behaviour is already fixed in lenny or in sid, so maybe this could also affect lenny.

Greetings
Winnie




-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.22-quota-enabled-lustre-1.6.5.1
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages module-assistant depends on:
ii  libtext-wrapi18n-perl       0.06-5       internationalized substitute of Te
ii  perl                        5.8.8-7etch3 Larry Wall's Practical Extraction 

Versions of packages module-assistant recommends:
ii  liblocale-gettext-perl        1.05-1     Using libc functions for internati

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#501427; Package module-assistant. (Tue, 07 Oct 2008 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. (Tue, 07 Oct 2008 19:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 501427@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Patrick Winnertz <patrick.winnertz@skolelinux.org>, 501427@bugs.debian.org
Cc: lustre-source@packages.debian.org
Subject: Re: Bug#501427: m-a changes the utsstring in include/linux/utsrelease.h if kernel is build with --append-to-version
Date: Tue, 7 Oct 2008 21:02:31 +0200
reassign 501427 lustre-source
retitle 501427 lustre build script resets version string in kernel headers
thanks

#include <hallo.h>
* Patrick Winnertz [Tue, Oct 07 2008, 11:05:50AM]:
> Package: module-assistant
> Version: 0.10.8
> Severity: critical
> 
> If you build a custom kernel with m-a maybe with this command:
>  make-kpkg --initrd --append-to-version "-lustre-1.6.5.1"
> the file include/linux/utsrelease.h contains this definition:
> #define UTS_RELEASE "2.6.22-lustre-1.6.5.1"  /*(for a 2.6.22er kernel)*/
> 
> After building one module with m-a against this kernel with this options:
>  m-a -l 2.6.22-lustre-1.6.5.1 -t  build lustre

Are you kidding me? If somebody puts "rm -rf /" into some makefile then
you would blame the make authors?

m-a did NEVER rewrite that file. Bouncing to lustre-source, I could
reproduce that with lustre only.

Regards,
Eduard.

-- 
<Alfie> Du kannst mit mir machen, was du willst. Ihr hab mich schlie├člich
	gekauft. :)




Bug reassigned from package `module-assistant' to `lustre-source'. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. (Tue, 07 Oct 2008 19:03:04 GMT) Full text and rfc822 format available.

Changed Bug title to `lustre build script resets version string in kernel headers' from `m-a changes the utsstring in include/linux/utsrelease.h if kernel is build with --append-to-version'. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. (Tue, 07 Oct 2008 19:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>:
Bug#501427; Package lustre-source. (Wed, 08 Oct 2008 21:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>. (Wed, 08 Oct 2008 21:12:04 GMT) Full text and rfc822 format available.

Message #19 received at 501427@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: 501427@bugs.debian.org, control@bugs.debian.org
Subject: lowering this issue
Date: Wed, 8 Oct 2008 23:10:14 +0200
[Message part 1 (text/plain, inline)]
severity 501427 important
thanks

lowering this issue to not being release critical. As lustre-source is the 
only package which causes this behaviour, this error should certainly be fixed 
soon, but is in my eyes not release critical.

Greetings
Winnie

-- 
 . '' ` .   Patrick Winnertz <winnie@debian.org>
:  :'   :   proud Debian developer, author, administrator, and user
`. `'`     http://people.debian.org/~winnie - http://www.der-winnie.de
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Severity set to `important' from `critical' Request was from Patrick Winnertz <winnie@debian.org> to control@bugs.debian.org. (Wed, 08 Oct 2008 21:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>:
Bug#501427; Package lustre-source. (Thu, 09 Oct 2008 08:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>. (Thu, 09 Oct 2008 08:48:03 GMT) Full text and rfc822 format available.

Message #26 received at 501427@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: 501427@bugs.debian.org
Subject: make -C $KSRC prepare resets utsrelease.h
Date: Thu, 9 Oct 2008 10:44:26 +0200
[Message part 1 (text/plain, inline)]
reassign 501427 linux-source-2.6.26
retitle 501427 make -C $KSRC prepare resets utsrelease.h if it contains a custom version string
severity 501427 grave
thanks

Hello,

If I call make -C $KSRC prepare this will reset the string in utsrelease.h to 
the default, e.g. 2.6.26. If I've to build the kernel with a custom 
--append-to-version string this string is not longer represented in this file.
In my eyes this behaviour is not that is expected as it prevents that more than
one package is build against this kernel-source with module-assistant. 


As an example:
make-kpkg --initrd --append-to-version "-foo-bar" binary-arch

# cat include/linux/utsrelease.h
#define UTS_RELEASE "2.6.26-foo-bar"

# make -C . prepare

# cat include/linux/utsrelease.h
#define UTS_RELEASE "2.6.26"


Justification for grave: It's no longer possible to build modules with m-a 
against this kernel without manual intervention.

Greetings
Winnie


-- 
 . '' ` .   Patrick Winnertz <winnie@debian.org>
:  :'   :   proud Debian developer, author, administrator, and user
`. `'`     http://people.debian.org/~winnie - http://www.der-winnie.de
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `lustre-source' to `linux-source-2.6.26'. Request was from Patrick Winnertz <winnie@debian.org> to control@bugs.debian.org. (Thu, 09 Oct 2008 20:48:09 GMT) Full text and rfc822 format available.

Changed Bug title to `make -C prepare resets utsrelease.h if it contains a custom version string' from `lustre build script resets version string in kernel headers'. Request was from Patrick Winnertz <winnie@debian.org> to control@bugs.debian.org. (Thu, 09 Oct 2008 20:48:10 GMT) Full text and rfc822 format available.

Severity set to `grave' from `important' Request was from Patrick Winnertz <winnie@debian.org> to control@bugs.debian.org. (Thu, 09 Oct 2008 20:48:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#501427; Package linux-source-2.6.26. (Fri, 10 Oct 2008 08:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 10 Oct 2008 08:27:06 GMT) Full text and rfc822 format available.

Message #37 received at 501427@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 501427@bugs.debian.org
Subject: expected behaviour
Date: Fri, 10 Oct 2008 10:24:14 +0200
reassign 501427 lustre-source
thanks

make prepare is not declared as reentrant. It will prepare the tree to
build modules against with the current available informations, for the
version this are:
- VERSION, PATCHLEVEL, SUBLEVEL, EXTRAVERSION either from the Makefile
  or the environment,
- the localversion files and
- if configured the git commit id.

If you believe this behaviour is wrong, complain to upstream.

Bastian

-- 
You!  What PLANET is this!
		-- McCoy, "The City on the Edge of Forever", stardate 3134.0




Bug reassigned from package `linux-source-2.6.26' to `lustre-source'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 10 Oct 2008 08:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>:
Bug#501427; Package lustre-source. (Sun, 19 Oct 2008 22:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Viehmann <tv@beamnet.de>:
Extra info received and forwarded to list. Copy sent to Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>. (Sun, 19 Oct 2008 22:03:02 GMT) Full text and rfc822 format available.

Message #44 received at 501427@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: 501427@bugs.debian.org
Subject: is this RC as a bug of lustre-source?
Date: Mon, 20 Oct 2008 00:00:40 +0200
Hi,

it seems that lustre-source builds fine in m-a, so is this bug really RC
when considered to be lustre's problem?

Kind regards

T.
-- 
Thomas Viehmann, http://thomas.viehmann.net/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>:
Bug#501427; Package lustre-source. (Mon, 20 Oct 2008 05:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>. (Mon, 20 Oct 2008 05:06:02 GMT) Full text and rfc822 format available.

Message #49 received at 501427@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: Thomas Viehmann <tv@beamnet.de>, 501427@bugs.debian.org
Subject: Re: Bug#501427: is this RC as a bug of lustre-source?
Date: Mon, 20 Oct 2008 07:01:03 +0200
[Message part 1 (text/plain, inline)]
Thomas Viehmann wrote on Monday 20 October 2008 at 00:00:40:
> Hi,
>
> it seems that lustre-source builds fine in m-a, so is this bug really RC
> when considered to be lustre's problem?
No.. In my eyes this is not a bug of lustre-source itself but of make-kpkg or 
of kernel-source.... (but more probably the bug can be found in make-kpkg).

If I set the the append to version with --append-to-version "-foobar" with 
make-kpkg this string is added to UTS_RELEASE. 

But after a make -C . prepare this additional string is removed. As discussed 
with Bastian Blank in IRC it seems so that make-kpkg doesn't set this string 
correctly, therefore make -C . prepare ignores it and resets the utsrelease.h 
file.
(And this meant that with m-a it is not longer possible to build any module 
against this kernel. I consider this as RC, what do you think?)

So: In my eyes this is not a bug in lustre-source itself but in any other 
package. I would like to digg further before reassigning it again to another 
package. 

Fixing it in lustre-source would be easy: Removing only the make -C $(KSRC) 
prepare call in debian/rules ....

Greetings
Winnie

-- 
 . '' ` .   Patrick Winnertz <winnie@debian.org>
:  :'   :   proud Debian developer, author, administrator, and user
`. `'`     http://people.debian.org/~winnie - http://www.der-winnie.de
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>:
Bug#501427; Package lustre-source. (Mon, 20 Oct 2008 06:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Viehmann <tv@beamnet.de>:
Extra info received and forwarded to list. Copy sent to Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>. (Mon, 20 Oct 2008 06:21:02 GMT) Full text and rfc822 format available.

Message #54 received at 501427@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: Patrick Winnertz <winnie@debian.org>
Cc: <501427@bugs.debian.org>, <501427@bugs.debian.org>
Subject: Re: Bug#501427: is this RC as a bug of lustre-source?
Date: Mon, 20 Oct 2008 08:19:00 +0200
Hi Patrick,

thanks for posting the state of your analysis.

On 2008-10-20 07:01:03.00 Patrick Winnertz <winnie@debian.org> wrote:
> So: In my eyes this is not a bug in lustre-source itself but in any  
> other package. I would like to digg further before reassigning it  
> again to another package. 
That would be good medium term, but...

> Fixing it in lustre-source would be easy: Removing only the make -C  
> $(KSRC) prepare call in debian/rules ....

... IMO, not using make -C $(KSRC) in lustre-source seems like a good  
option for lenny because it is an inherently local fix (i.e. it only  
changes the behavior for one module) where fixing make-kpkg or  
anything else is necessarily less so.
As such, what do you think about dropping make -C $(KSRC) and  
downgrading the the severity of this bug after that has migrated to  
lenny?

Kind regards

T.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>:
Bug#501427; Package lustre-source. (Sun, 26 Oct 2008 17:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>. (Sun, 26 Oct 2008 17:18:03 GMT) Full text and rfc822 format available.

Message #59 received at 501427@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Thomas Viehmann <tv@beamnet.de>
Cc: Patrick Winnertz <winnie@debian.org>, 501427@bugs.debian.org
Subject: Re: Bug#501427: is this RC as a bug of lustre-source?
Date: Sun, 26 Oct 2008 17:14:11 +0000
[Message part 1 (text/plain, inline)]
On Mon, Oct 20, 2008 at 08:19:00AM +0200, Thomas Viehmann wrote:
> On 2008-10-20 07:01:03.00 Patrick Winnertz <winnie@debian.org> wrote:
> >So: In my eyes this is not a bug in lustre-source itself but in any  
> >other package. I would like to digg further before reassigning it  
> >again to another package. 
> That would be good medium term, but...
> 
> >Fixing it in lustre-source would be easy: Removing only the make -C  
> >$(KSRC) prepare call in debian/rules ....
> 
> ... IMO, not using make -C $(KSRC) in lustre-source seems like a good  
> option for lenny because it is an inherently local fix (i.e. it only  
> changes the behavior for one module) where fixing make-kpkg or  
> anything else is necessarily less so.
> As such, what do you think about dropping make -C $(KSRC) and  
> downgrading the the severity of this bug after that has migrated to  
> lenny?

It looks like that is a good option for lenny. Since I've been assigned
this bug as part of the bug sprint <http://wiki.debian.org/BugSprint> I
hereby offer to NMU this fix using the attached patch.

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
[501427.inter.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>:
Bug#501427; Package lustre-source. (Sun, 26 Oct 2008 18:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>. (Sun, 26 Oct 2008 18:18:02 GMT) Full text and rfc822 format available.

Message #64 received at 501427@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 501427@bugs.debian.org
Subject: Re: Bug#501427: is this RC as a bug of lustre-source?
Date: Sun, 26 Oct 2008 19:13:49 +0100
[Message part 1 (text/plain, inline)]
Hey
> It looks like that is a good option for lenny. Since I've been assigned
> this bug as part of the bug sprint <http://wiki.debian.org/BugSprint> I
> hereby offer to NMU this fix using the attached patch.
Please do not NMU this package. A upload is already prepared. 
Thanks in advance.

Greetings
Winnie

-- 
 . '' ` .   Patrick Winnertz <winnie@debian.org>
:  :'   :   proud Debian developer, author, administrator, and user
`. `'`     http://people.debian.org/~winnie - http://www.der-winnie.de
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Reply sent to Patrick Winnertz <winnie@debian.org>:
You have taken responsibility. (Mon, 27 Oct 2008 10:21:13 GMT) Full text and rfc822 format available.

Notification sent to Patrick Winnertz <patrick.winnertz@skolelinux.org>:
Bug acknowledged by developer. (Mon, 27 Oct 2008 10:21:13 GMT) Full text and rfc822 format available.

Message #69 received at 501427-close@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: 501427-close@bugs.debian.org
Subject: Bug#501427: fixed in lustre 1.6.5.1-4
Date: Mon, 27 Oct 2008 10:02:07 +0000
Source: lustre
Source-Version: 1.6.5.1-4

We believe that the bug you reported is fixed in the latest version of
lustre, which is due to be installed in the Debian FTP archive:

liblustre_1.6.5.1-4_i386.deb
  to pool/main/l/lustre/liblustre_1.6.5.1-4_i386.deb
linux-patch-lustre_1.6.5.1-4_all.deb
  to pool/main/l/lustre/linux-patch-lustre_1.6.5.1-4_all.deb
lustre-dev_1.6.5.1-4_i386.deb
  to pool/main/l/lustre/lustre-dev_1.6.5.1-4_i386.deb
lustre-source_1.6.5.1-4_all.deb
  to pool/main/l/lustre/lustre-source_1.6.5.1-4_all.deb
lustre-tests_1.6.5.1-4_i386.deb
  to pool/main/l/lustre/lustre-tests_1.6.5.1-4_i386.deb
lustre-utils_1.6.5.1-4_i386.deb
  to pool/main/l/lustre/lustre-utils_1.6.5.1-4_i386.deb
lustre_1.6.5.1-4.diff.gz
  to pool/main/l/lustre/lustre_1.6.5.1-4.diff.gz
lustre_1.6.5.1-4.dsc
  to pool/main/l/lustre/lustre_1.6.5.1-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 501427@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Patrick Winnertz <winnie@debian.org> (supplier of updated lustre package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 20 Oct 2008 18:16:18 +0200
Source: lustre
Binary: linux-patch-lustre lustre-source lustre-utils lustre-tests liblustre lustre-dev
Architecture: source all i386
Version: 1.6.5.1-4
Distribution: unstable
Urgency: low
Maintainer: Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>
Changed-By: Patrick Winnertz <winnie@debian.org>
Description: 
 liblustre  - Runtime library for Lustre filesystem utilities
 linux-patch-lustre - Linux kernel patch for the Lustre Filesystem
 lustre-dev - Development files for the Lustre filesystem
 lustre-source - source for Lustre filesystem client kernel modules
 lustre-tests - Test suite for the Lustre filesystem
 lustre-utils - Userspace utilities for the Lustre filesystem
Closes: 501427
Changes: 
 lustre (1.6.5.1-4) unstable; urgency=low
 .
   * [673c9e4] Removed obsolete svn-deblayout, since we now use git
   * [1923e32] Bump standards version - no other changes needed.
   * [089f772] Clean up TODO list
   * [57f3006] Fix insanity.sh script which uses functions not available
     in sh
   * [92e65fa] Fix two lintian msg about missing magic sh header
   * [5214788] Removed unused patch from debian/patches/
   * [cd08297] Add override for liblustre not linked against libc
   * [e0ab205] Install lintian overrides into the corresponding packages
   * [e76c899] Remove make -C $(KSRC) prepare call. (Closes: #501427)
Checksums-Sha1: 
 3bb549d73835003ef04583e90881efc585bda188 1490 lustre_1.6.5.1-4.dsc
 5a075b954c147566b024d133e3348ba0ba36d385 52771 lustre_1.6.5.1-4.diff.gz
 5ab4424796574cc258cbbfc200f806b8f4e436ac 465876 linux-patch-lustre_1.6.5.1-4_all.deb
 49be8ad44011904b94bda76c4e5bae6435d17a3b 3084670 lustre-source_1.6.5.1-4_all.deb
 24412f6b7a35dd8a224fb634cc64cb53e51c427a 534692 lustre-utils_1.6.5.1-4_i386.deb
 1aaa1694267dd2056520d67bca055aff29152721 361742 lustre-tests_1.6.5.1-4_i386.deb
 f6eeb677f56e154fca39fdb6615a2bf26b431506 4588100 lustre-dev_1.6.5.1-4_i386.deb
 4fc79c3a5bdacd666b263d9a3f4bf0a1cd7c2a21 670766 liblustre_1.6.5.1-4_i386.deb
Checksums-Sha256: 
 e494cbb1b594e17380ca6673a0716c9fd44f479762509414df6be3d39dd23684 1490 lustre_1.6.5.1-4.dsc
 9b1049e6f8847e3d7b90e887cc612d13379c120f9230e77272207f5e5fce9b45 52771 lustre_1.6.5.1-4.diff.gz
 15a3420fbc25e9d6246e9e1b9180fee56a28d5bde8bb020c7d94b0f524cbaabb 465876 linux-patch-lustre_1.6.5.1-4_all.deb
 3aa8e9526646ca3a57704bd4efc139e9fa57395df4a38daf188db9cbaa3ab8ca 3084670 lustre-source_1.6.5.1-4_all.deb
 17de9c2bff9f596924ddc2956c5e09fe2a4cbfa8f584a92816eb145e8967b2cc 534692 lustre-utils_1.6.5.1-4_i386.deb
 0b9aab92c86b50967b6b578de3ecdef0f7885a6e02709fe15c8a318e9425511d 361742 lustre-tests_1.6.5.1-4_i386.deb
 376101c1537d6cf7e4048ca2fa3177b94c6d97611812b365494b8e934b55f374 4588100 lustre-dev_1.6.5.1-4_i386.deb
 fedbee32b1418d72b1353081dada7de57935f50045758275fd5ef50a9b9818e8 670766 liblustre_1.6.5.1-4_i386.deb
Files: 
 de1837dadff276ade5a04399d6c33ded 1490 admin optional lustre_1.6.5.1-4.dsc
 fc74d21ab2613c9a0d149c6612bae748 52771 admin optional lustre_1.6.5.1-4.diff.gz
 27eda4fd72928ed4e96aea6ce7bcf8e2 465876 devel optional linux-patch-lustre_1.6.5.1-4_all.deb
 77dd4196c03add3d79761a317aa59d16 3084670 admin optional lustre-source_1.6.5.1-4_all.deb
 9f113e75a8868e3875ac3b8e7916d25b 534692 utils optional lustre-utils_1.6.5.1-4_i386.deb
 ed19a99bae4fd1689ebceaad950dc952 361742 admin optional lustre-tests_1.6.5.1-4_i386.deb
 7789f2edfa1c90e926453d506c3b15a4 4588100 libdevel optional lustre-dev_1.6.5.1-4_i386.deb
 31008575c81c8c7c6399e86a635e9754 670766 otherosfs optional liblustre_1.6.5.1-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkEmXoACgkQzgm26bkTFDrfhwCeNtlZpKD6BpDSit8FXOOXz0ch
KKUAoL83K4dSJ53wpWMt6ocu0kgSSCdl
=Imjh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 06 Dec 2008 07:27:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:20:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.